Project

General

Profile

Enhancement(機能追加・改善) #4481

PHP7.4上で動作せず

Added by Tooru Yoshida 3 months ago.

Status:
New(新規)
Priority:
Normal(通常)
Assignee:
-
Target version:
-
Start date:
2020-06-26
Due date:
% Done:

0%


Description

CentOS8環境下において、PHP7.4を利用するとOpenPNE 3.10.1が動作しない

Symfonyの1.5.9ではPHP7.1までにしか対応しておらず、先日報告したように
CentOS8+PHP7.2環境下では、エラーが発生し、正常動作しない(Pluginのカレンダーが影響している可能性有り)

そこで、CentOS8+PHP7.4環境下で動作するように、Symfonyを1.5.13へアップデートし、
動作テストを実施したが、
1) [symfony]コマンドが動作しない
2) サイトアクセス時に[call to undefind method myUser::login]や
 [call to undefind method myUser::getMemberId]となる。

PHPのRoadMap等からPHP7.4への対応が必須と考えられるので、symfonyを1.5.13へのアップデートを
希望する

Also available in: Atom PDF